Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QGradient.Type

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QGradient.Type

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QGradient

    public static final class QGradient.Type

extends java.lang.Enum
implements QtEnumerator

Specifies the type of gradient.

See also:
  `type()`.

See Also:
  Serialized Form

Field Summary
`static QGradient.Type` | `ConicalGradient` Interpolate colors around a center point (`QConicalGradient`).
`static QGradient.Type` | `LinearGradient` Interpolates colors between start and end points (`QLinearGradient`).
`static QGradient.Type` | `NoGradient` No gradient is used.
`static QGradient.Type` | `RadialGradient` Interpolate colors between a focal point and end points on a circle surrounding it (`QRadialGradient`).

Method Summary
`static QGradient.Type` | `resolve(int value)` Returns the QGradient$Type constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QGradient.Type` | `valueOf(java.lang.String name)`
`static QGradient.Type[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LinearGradient

    public static final QGradient.Type LinearGradient

  Interpolates colors between start and end points (`QLinearGradient`).

### RadialGradient

    public static final QGradient.Type RadialGradient

  Interpolate colors between a focal point and end points on a circle surrounding it (`QRadialGradient`).

### ConicalGradient

    public static final QGradient.Type ConicalGradient

  Interpolate colors around a center point (`QConicalGradient`).

### NoGradient

    public static final QGradient.Type NoGradient

  No gradient is used.

Method Detail

### values

    public static QGradient.Type[] values()

### valueOf

    public static QGradient.Type valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QGradient.Type resolve(int value)

  Returns the QGradient$Type constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD